<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::RawCalorimeterHitCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_raw_calorimeter_hit_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::RawCalorimeterHitCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_raw_calorimeter_hit_collection_8h_source.html">RawCalorimeterHitCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1710a2f4df49a76fa8311c1835fbc011"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html#a1710a2f4df49a76fa8311c1835fbc011">RawCalorimeterHitCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#a151329543ec0fce6982da636589f49d5">RawCalorimeterHitObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:a1710a2f4df49a76fa8311c1835fbc011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbeb83d292c6610b2bd0fe4600681f62"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html#acbeb83d292c6610b2bd0fe4600681f62">operator!=</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:acbeb83d292c6610b2bd0fe4600681f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea419534594e2890652c1a0c2dc89c20"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html#aea419534594e2890652c1a0c2dc89c20">operator*</a> () const</td></tr>
<tr class="separator:aea419534594e2890652c1a0c2dc89c20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66bf228cc59f517239d9f22524ce257a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html#a66bf228cc59f517239d9f22524ce257a">operator-&gt;</a> () const</td></tr>
<tr class="separator:a66bf228cc59f517239d9f22524ce257a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2773000c1f58f2da39a741cd9c094a5"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html#af2773000c1f58f2da39a741cd9c094a5">operator++</a> () const</td></tr>
<tr class="separator:af2773000c1f58f2da39a741cd9c094a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00029">29</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html">RawCalorimeterHitCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1710a2f4df49a76fa8311c1835fbc011"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1710a2f4df49a76fa8311c1835fbc011">&#9670;&nbsp;</a></span>RawCalorimeterHitCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHitCollectionIterator::RawCalorimeterHitCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#a151329543ec0fce6982da636589f49d5">RawCalorimeterHitObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00031">31</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html">RawCalorimeterHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acbeb83d292c6610b2bd0fe4600681f62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbeb83d292c6610b2bd0fe4600681f62">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::RawCalorimeterHitCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00033">33</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html">RawCalorimeterHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00098">operator*()</a>, <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00108">operator++()</a>, and <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00103">operator-&gt;()</a>.</p>

</div>
</div>
<a id="aea419534594e2890652c1a0c2dc89c20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea419534594e2890652c1a0c2dc89c20">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> eic::RawCalorimeterHitCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00098">98</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html">RawCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="af2773000c1f58f2da39a741cd9c094a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2773000c1f58f2da39a741cd9c094a5">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a> &amp; eic::RawCalorimeterHitCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00108">108</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html">RawCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a66bf228cc59f517239d9f22524ce257a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66bf228cc59f517239d9f22524ce257a">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> * eic::RawCalorimeterHitCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html#l00103">103</a> of file <a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html">RawCalorimeterHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_raw_calorimeter_hit_collection_8h_source.html">RawCalorimeterHitCollection.h</a></li>
<li>src/<a class="el" href="_raw_calorimeter_hit_collection_8cc_source.html">RawCalorimeterHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
